.PHONY: clean virtualenv test docker

clean:
	find . -name '*.py[co]' -delete

test:
	DB_SERVER=localhost uv run pytest -v --cov --cov-report=term --cov-report=html:coverage-report

docker: clean
	docker build --target=production -t kontor-api:0.2.0-SNAPSHOT .

dev:
	DB_SERVER=127.0.0.1 uv run fastapi dev src/main.py --port 8008

